import request from '@/utils/request'

// 查询公共盘文档目录列表
export function listPublicdocmenu(query) {
  return request({
    url: '/document/publicdocmenu/list',
    method: 'get',
    params: query
  })
}

// 查询目录列表
export function listMenu(query) {
  return request({
    url: '/document/publicdocmenu/menulist',
    method: 'get',
    params: query
  })
}

// 查询公共盘文档目录详细
export function getPublicdocmenu(id) {
  return request({
    url: '/document/publicdocmenu/' + id,
    method: 'get'
  })
}

// 新增公共盘文档目录
export function addPublicdocmenu(data) {
  return request({
    url: '/document/publicdocmenu',
    method: 'post',
    data: data
  })
}

// 修改公共盘文档目录
export function updatePublicdocmenu(data) {
  return request({
    url: '/document/publicdocmenu',
    method: 'put',
    data: data
  })
}

// 删除公共盘文档目录
export function delPublicdocmenu(id) {
  return request({
    url: '/document/publicdocmenu/' + id,
    method: 'delete'
  })
}

// 导出公共盘文档目录
export function exportPublicdocmenu(query) {
  return request({
    url: '/document/publicdocmenu/export',
    method: 'get',
    params: query
  })
}
